human_duration_parser 3.0.0 copy "human_duration_parser: ^3.0.0" to clipboard
human_duration_parser: ^3.0.0 copied to clipboard

Parse human readable duration into Dart's duration

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add human_duration_parser

With Flutter:

 $ flutter pub add human_duration_parser

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  human_duration_parser: ^3.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:human_duration_parser/human_duration_parser.dart';
0
likes
110
pub points
32%
popularity

Publisher

unverified uploader

Parse human readable duration into Dart's duration

Repository (GitHub)
View/report issues

Documentation

API reference

License

GPL-3.0 (LICENSE)

More

Packages that depend on human_duration_parser